<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsChannels" targetNamespace="http://tempuri.org/dsChannels.xsd" xmlns:mstns="http://tempuri.org/dsChannels.xsd" xmlns="http://tempuri.org/dsChannels.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" GeneratorTypeConverterClassName="Converter" Modifier="AutoLayout, AnsiClass, Class, Public" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
        </Connections>
        <Tables>
        </Tables>
        <Sources>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsChannels" msdata:IsDataSet="true" msdata:Locale="" msprop:Generator_UserDSName="dsChannels" msprop:Generator_DataSetName="dsChannels">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Channels" msprop:Generator_UserTableName="Channels" msprop:Generator_TableClassName="ChannelsDataTable" msprop:Generator_RowClassName="ChannelsRow" msprop:Generator_RowEvArgName="ChannelsRowChangeEvent" msprop:Generator_RowEvHandlerName="ChannelsRowChangeEventHandler" msprop:Generator_TablePropName="Channels" msprop:Generator_TableVarName="tableChannels">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Active" msprop:Generator_UserColumnName="Active" msprop:Generator_ColumnVarNameInTable="columnActive" msprop:Generator_ColumnPropNameInRow="Active" msprop:Generator_ColumnPropNameInTable="ActiveColumn" type="xs:boolean" default="false" minOccurs="0" />
              <xs:element name="Port" msdata:DataType="SID_monitor.SerialADC, SID monitor, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" msprop:Generator_UserColumnName="Port" msprop:Generator_ColumnVarNameInTable="columnPort" msprop:Generator_ColumnPropNameInRow="Port" msprop:Generator_ColumnPropNameInTable="PortColumn" type="xs:anyType" minOccurs="0" />
              <xs:element name="StationCode" msprop:Generator_UserColumnName="StationCode" msprop:Generator_ColumnVarNameInTable="columnStationCode" msprop:Generator_ColumnPropNameInRow="StationCode" msprop:Generator_ColumnPropNameInTable="StationCodeColumn" type="xs:string" default="(none)" minOccurs="0" />
              <xs:element name="LineWidth" msprop:Generator_UserColumnName="LineWidth" msprop:Generator_ColumnVarNameInTable="columnLineWidth" msprop:Generator_ColumnPropNameInRow="LineWidth" msprop:Generator_ColumnPropNameInTable="LineWidthColumn" type="xs:string" default="(none)" minOccurs="0" />
              <xs:element name="LineColor" msprop:Generator_UserColumnName="LineColor" msprop:Generator_ColumnVarNameInTable="columnLineColor" msprop:Generator_ColumnPropNameInRow="LineColor" msprop:Generator_ColumnPropNameInTable="LineColorColumn" type="xs:int" default="65536" minOccurs="0" />
              <xs:element name="id" msprop:Generator_UserColumnName="id" msprop:Generator_ColumnPropNameInRow="id" msprop:Generator_ColumnVarNameInTable="columnid" msprop:Generator_ColumnPropNameInTable="idColumn" type="xs:unsignedInt" />
              <xs:element name="AcquisitionValues" msdata:DataType="System.Collections.ArrayList, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" msprop:Generator_UserColumnName="AcquisitionValues" msprop:Generator_ColumnPropNameInRow="AcquisitionValues" msprop:Generator_ColumnVarNameInTable="columnAcquisitionValues" msprop:Generator_ColumnPropNameInTable="AcquisitionValuesColumn" type="xs:anyType" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="AcquisitionData" msprop:Generator_UserTableName="AcquisitionData" msprop:Generator_TableClassName="AcquisitionDataDataTable" msprop:Generator_RowClassName="AcquisitionDataRow" msprop:Generator_RowEvArgName="AcquisitionDataRowChangeEvent" msprop:Generator_RowEvHandlerName="AcquisitionDataRowChangeEventHandler" msprop:Generator_TablePropName="AcquisitionData" msprop:Generator_TableVarName="tableAcquisitionData">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Values" msdata:DataType="System.Collections.ArrayList, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" msprop:Generator_UserColumnName="Values" msprop:Generator_ColumnPropNameInRow="Values" msprop:Generator_ColumnVarNameInTable="columnValues" msprop:Generator_ColumnPropNameInTable="ValuesColumn" type="xs:anyType" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Channels" />
      <xs:field xpath="mstns:id" />
    </xs:unique>
  </xs:element>
</xs:schema>